Multivariate Pattern Analysis in Python

# mvpa2.kernels.CustomKernel

class `mvpa2.kernels.``CustomKernel`(kernelfunc=None, *args, **kwargs)

  Custom Kernel defined by an arbitrary function

  Examples

  Basic linear kernel >>> k = CustomKernel(kernelfunc=lambda a,b: numpy.dot(a,b.T))

  Attributes

  `descr` | Description of the object if any

  Methods

  Initialize CustomKernel with an arbitrary function.

  Parameters:

  kernelfunc : function

  > Any callable function which takes two numpy arrays and calculates a kernel function, treating the rows as samples and the columns as features. It is called from compute(d1, d2) -> func(d1,d2) and should return a numpy matrix K(i,j) which holds the kernel evaluated from d1 sample i and d2 sample j

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  Attributes

  `descr` | Description of the object if any

  Methods